## ros-lunar-moveit-simple-controller-manager 0.9.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(moveit_simple_controller_manager)

add_compile_options(-std=c++11)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(Boost REQUIRED thread)

find_package(catkin COMPONENTS
  moveit_core
  pluginlib
  actionlib
  roscpp
  control_msgs
  REQUIRED)

include_directories(include)

include_directories(${Boost_INCLUDE_DIRS})
link_directories(${Boost_LIBRARY_DIRS})

include_directories(${catkin_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

catkin_package(
  LIBRARIES
  INCLUDE_DIRS include
  CATKIN_DEPENDS moveit_core actionlib control_msgs
    )

add_library(${PROJECT_NAME} src/moveit_simple_controller_manager.cpp)
set_target_properties(${PROJECT_NAME} PROPERTIES VERSION ${${PROJECT_NAME}_VERSION})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(FILES moveit_simple_controller_manager_plugin_description.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
       )
install(DIRECTORY include/${PROJECT_NAME}/
       DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
       )

=== debian/changelog ===
ros-lunar-moveit-simple-controller-manager (0.9.12-1xenial) xenial; urgency=high

  * switch to ROS_LOGGER from CONSOLE_BRIDGE (#874 <https://github.com/ros-planning/moveit/issues/874>)
  * Contributors: Mikael Arguedas, Xiaojian Ma

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 28 May 2018 22:00:00 -0000

ros-lunar-moveit-simple-controller-manager (0.9.11-1xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 24 Dec 2017 23:00:00 -0000

ros-lunar-moveit-simple-controller-manager (0.9.10-1xenial) xenial; urgency=high

  * [capability][kinetic onward] optionally wait for controllers indefinitely (#695 <https://github.com/ros-planning/moveit/issues/695>)
  * Contributors: Bruno Brito, Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 08 Dec 2017 23:00:00 -0000

ros-lunar-moveit-simple-controller-manager (0.9.9-1xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 05 Aug 2017 22:00:00 -0000

ros-lunar-moveit-simple-controller-manager (0.9.8-1xenial) xenial; urgency=high

  * [fix] include order (#529 <https://github.com/ros-planning/moveit/issues/529>)
  * Contributors: Michael Goerner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 20 Jun 2017 22:00:00 -0000

ros-lunar-moveit-simple-controller-manager (0.9.7-1xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 04 Jun 2017 22:00:00 -0000

ros-lunar-moveit-simple-controller-manager (0.9.6-1xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 11 Apr 2017 22:00:00 -0000

ros-lunar-moveit-simple-controller-manager (0.9.5-1xenial) xenial; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * [enhancement] Remove "catch (...)" instances, catch std::exception instead of std::runtime_error (#445 <https://github.com/ros-planning/moveit/issues/445>)
  * Contributors: Bence Magyar, Dave Coleman

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 07 Mar 2017 23:00:00 -0000

ros-lunar-moveit-simple-controller-manager (0.9.4-1xenial) xenial; urgency=high

  * [fix] assertion error when result not returned (#378 <https://github.com/ros-planning/moveit/issues/378>)
  * [maintenance] clang-format upgraded to 3.8 (#367 <https://github.com/ros-planning/moveit/issues/367>)
  * Contributors: Dave Coleman, Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 05 Feb 2017 23:00:00 -0000

ros-lunar-moveit-simple-controller-manager (0.9.3-1xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 15 Nov 2016 23:00:00 -0000

ros-lunar-moveit-simple-controller-manager (0.5.7-1xenial) xenial; urgency=high

  * expose headers of moveit_simple_controller_manager
  * Removed redundant logging information
  * More informative warning message about multi-dof trajectories.
  * Contributors: Dave Coleman, Dave Hershberger, Mathias Lüdtke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 29 Jan 2016 23:00:00 -0000

ros-lunar-moveit-simple-controller-manager (0.5.6-1xenial) xenial; urgency=high

  * Allow simple controller manager to ignore virtual joints without failing
  * Contributors: Dave Coleman

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 22 Mar 2014 23:00:00 -0000

ros-lunar-moveit-simple-controller-manager (0.5.5-1xenial) xenial; urgency=high

  * properly fill in the gripper command effort
  * allow trajectories with >1 points, use the last point of any trajectory
  * added better error reporting for FollowJointTrajectoryControllers

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 29 Sep 2013 22:00:00 -0000

ros-lunar-moveit-simple-controller-manager (0.5.4-1xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 23 Sep 2013 22:00:00 -0000

ros-lunar-moveit-simple-controller-manager (0.5.3-1xenial) xenial; urgency=high

  * make things a bit more robust
  * make headers and author definitions aligned the same way; white space fixes
  * fix #1 <https://github.com/ros-planning/moveit_plugins/issues/1>

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 22 Sep 2013 22:00:00 -0000

ros-lunar-moveit-simple-controller-manager (0.5.1-1xenial) xenial; urgency=high

  * ns parameter is now action_ns, get rid of defaults

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 29 Jul 2013 22:00:00 -0000

ros-lunar-moveit-simple-controller-manager (0.5.0-1xenial) xenial; urgency=high

  * white space fixes (tabs are now spaces)

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 15 Jul 2013 22:00:00 -0000

ros-lunar-moveit-simple-controller-manager (0.4.1-1xenial) xenial; urgency=high

  * minor updates to package.xml

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 02 Jul 2013 22:00:00 -0000

ros-lunar-moveit-simple-controller-manager (0.4.0-1xenial) xenial; urgency=high

  * debs look good, bump to 0.4.0

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 05 Jun 2013 22:00:00 -0000

ros-lunar-moveit-simple-controller-manager (0.1.0-1xenial) xenial; urgency=high

  * add metapackage, clean up build in controller manager
  * remove the now dead loaded controller stuff
  * break out follow/gripper into separate headers
  * initial working version

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 04 Jun 2013 22:00:00 -0000

=== debian/control ===
Source: ros-lunar-moveit-simple-controller-manager
Section: misc
Priority: extra
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-actionlib, ros-lunar-catkin, ros-lunar-control-msgs, ros-lunar-moveit-core, ros-lunar-pluginlib, ros-lunar-roscpp
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-lunar-moveit-simple-controller-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-actionlib, ros-lunar-control-msgs, ros-lunar-moveit-core, ros-lunar-pluginlib, ros-lunar-roscpp
Description: A generic, simple controller manager plugin for MoveIt.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-moveit-simple-controller-manager//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
